Bug 180604 - yum removes 64bit package when installing 32bit package
yum removes 64bit package when installing 32bit package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-09 07:32 EST by Karsten Hopp
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 16:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'rpm --showrc' (23.08 KB, text/plain)
2006-02-14 04:56 EST, Karsten Hopp
no flags Details

  None (edit)
Description Karsten Hopp 2006-02-09 07:32:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.1) Gecko/20060202 Fedora/1.5.0.1-2 Firefox/1.5.0.1

Description of problem:
Yum doesn't seem to allow to install both, 32bit and 64bit packages.
Install the 32bit package and it removes the 64bit one and the other way round the same happens-

Version-Release number of selected component (if applicable):
yum-2.5.1-4

How reproducible:
Always

Steps to Reproduce:
1.see 'Actual results'
2.
3.
  

Actual Results:  bash-3.1# rpm -qa --qf "%{name}.%{arch}\n" libstdc++*
libstdc++-devel.x86_64
libstdc++.i386
libstdc++.x86_64
bash-3.1# yum install libstdc++-devel.i386
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
developmen: ################################################## 1/1
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package libstdc++-devel.i386 0:4.1.0-0.23 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 libstdc++-devel         i386       4.1.0-0.23       development       9.5 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 9.5 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libstdc++-devel              ######################### [1/2]
  Cleanup   : libstdc++-devel              ######################### [2/2]

Installed: libstdc++-devel.i386 0:4.1.0-0.23
Complete!
bash-3.1# rpm -qa --qf "%{name}.%{arch}\n" libstdc++*
libstdc++.i386
libstdc++.x86_64
libstdc++-devel.i386



Expected Results:  both packages should have been installed, libstdc++-devel.i386 and libstdc++-devel.x86_64

Additional info:
Comment 1 Seth Vidal 2006-02-09 08:55:51 EST
If you can replicate this please run:

yum list libstdc++\*

before and after you run the test case you articulated above, please.

Also could you run: yum -d5 install libstdc++-devel.i386

thanks
Comment 2 Karsten Hopp 2006-02-09 11:11:19 EST
bash-3.1# yum list libstdc++\*
Loading "installonlyn" plugin
Setting up repositories
developmen: ################################################## 1/1
Reading repository metadata in from local files
Installed Packages
libstdc++.x86_64                         4.1.0-0.23             installed
libstdc++-devel.x86_64                   4.1.0-0.23             installed
Available Packages
libstdc++.i386                           4.1.0-0.23             development
libstdc++-devel.i386                     4.1.0-0.23             development
libstdc++so7.x86_64                      4.2.0-0.3.20060203     development
libstdc++so7-debuginfo.x86_64            4.2.0-0.3.20060203     development
libstdc++so7-devel.x86_64                4.2.0-0.3.20060203     development

bash-3.1# yum install libstdc++-devel.i386
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
developmen: ################################################## 1/1
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for libstdc++-devel to pack into transaction set.
libstdc++-devel-4.1.0-0.2 100% |=========================| 112 kB    00:00
---> Package libstdc++-devel.i386 0:4.1.0-0.23 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 libstdc++-devel         i386       4.1.0-0.23       development       9.5 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 9.5 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libstdc++-devel              ######################### [1/2]
  Cleanup   : libstdc++-devel              ######################### [2/2]

Installed: libstdc++-devel.i386 0:4.1.0-0.23
Complete!
bash-3.1# yum list libstdc++\*
Loading "installonlyn" plugin
Setting up repositories
developmen: ################################################## 1/1
Reading repository metadata in from local files
Installed Packages
libstdc++.x86_64                         4.1.0-0.23             installed
libstdc++-devel.i386                     4.1.0-0.23             installed
Available Packages
libstdc++.i386                           4.1.0-0.23             development
libstdc++-devel.x86_64                   4.1.0-0.23             development
libstdc++so7.x86_64                      4.2.0-0.3.20060203     development
libstdc++so7-debuginfo.x86_64            4.2.0-0.3.20060203     development
libstdc++so7-devel.x86_64                4.2.0-0.3.20060203     development

Then I've installed libstdc++-devel.x86_64 and got back to where only
libstdc++-devel.x86_64 and libstdc++.x86_64 were installed:

bash-3.1# yum list libstdc++\*
Loading "installonlyn" plugin
Setting up repositories
developmen: ################################################## 1/1
Reading repository metadata in from local files
Installed Packages
libstdc++.x86_64                         4.1.0-0.23             installed
libstdc++-devel.x86_64                   4.1.0-0.23             installed
Available Packages
libstdc++.i386                           4.1.0-0.23             development
libstdc++-devel.i386                     4.1.0-0.23             development
libstdc++so7.x86_64                      4.2.0-0.3.20060203     development
libstdc++so7-debuginfo.x86_64            4.2.0-0.3.20060203     development
libstdc++so7-devel.x86_64                4.2.0-0.3.20060203     development
bash-3.1# yum -d5 install libstdc++-devel.i386
Loading "installonlyn" plugin
Running "config" handler for "installonlyn" plugin
Yum Version: 2.5.1
COMMAND: yum -d5
Installroot: /
Ext Commands:
   libstdc++-devel.i386
Setting up Install Process
Setting up repositories
developmen: ################################################## 1/1
Baseurl(s) for repo: ['file:/mnt/raid/fedora/development/x86_64']
Reading repository metadata in from local files
Setting up Package Sacks
Reading Local RPMDB
Parsing package install arguments
No other libstdc++-devel installed, adding to list for potential install
reduced installs :
   libstdc++-devel.i386 0:4.1.0-0.23
Building updates object
Resolving Dependencies
1139501680.44
--> Populating transaction set with selected packages. Please wait.
Adding Package libstdc++-devel - 4.1.0-0.23.i386 in mode u
---> Package libstdc++-devel.i386 0:4.1.0-0.23 set to be updated
--> Running transaction check
Running "postresolve" handler for "installonlyn" plugin

Dependencies Resolved
1139501680.58

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 libstdc++-devel         i386       4.1.0-0.23       development       9.5 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 9.5 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Test
Adding Package libstdc++-devel - 4.1.0-0.23.i386 in mode u
Finished Transaction Test
Transaction Test Succeeded
Adding Package libstdc++-devel - 4.1.0-0.23.i386 in mode u
Running Transaction
  Installing: libstdc++-devel              ######################### [1/2]
  Cleanup   : libstdc++-devel              ######################### [2/2]

Installed: libstdc++-devel.i386 0:4.1.0-0.23
Complete!


Comment 3 Paul Nasrat 2006-02-09 11:21:42 EST
cat /etc/rpm/platform
cat /etc/rpm/macros
Comment 4 Karsten Hopp 2006-02-09 11:47:16 EST
Both files don't exist:

bash-3.1# cat /etc/rpm/platform
cat: /etc/rpm/platform: No such file or directory
bash-3.1# cat /etc/rpm/macros
cat: /etc/rpm/macros: No such file or directory
Comment 5 Paul Nasrat 2006-02-09 12:02:05 EST
Try adding _transaction_color 3 to /etc/rpm/macros and retry.  Anaconda should
set that up for you for multilib.
Comment 6 Karsten Hopp 2006-02-09 17:48:31 EST
I've tried '_transaction_color 3' and '%_transaction_color 3', same result
Comment 7 Paul Nasrat 2006-02-13 13:43:22 EST
rpm --showrc output please
Comment 8 Karsten Hopp 2006-02-14 04:56:23 EST
Created attachment 124604 [details]
Output of 'rpm --showrc'
Comment 9 Jeremy Katz 2006-04-19 16:39:13 EDT
Does this still happen?
Comment 10 Jeremy Katz 2006-09-18 16:21:23 EDT
Closing due to inactivity

Note You need to log in before you can comment on or make changes to this bug.